!
! SocketTools Library Edition
! Version 3.1
!
! Copyright 1995-1999, Catalyst Development Corporation
! All rights reserved
!
! This module contains the confidential and proprietary information
! of Catalyst Development Corporation and may not be redistributed.
!
! This product is licensed to you pursuant to the terms of the
! Catalyst license agreement included with the original software,
! and is protected by copyright law and international treaties.
! Unauthorized reproduction or distribution may result in severe
! criminal penalties.
!

!
! General constants used with most of the controls
!
INVALID_HANDLE          EQUATE(-1)
CONTROL_ERRIGNORE       EQUATE(0)
CONTROL_ERRDISPLAY      EQUATE(1)

!------------------------------------------------------------------------------
!
! This section contains the error codes for the SocketTools
! audio library.
!
!------------------------------------------------------------------------------

AUDIO_ERROR             EQUATE(-1)
ERROR_AUDIO_NONE        EQUATE(0)
ERROR_AUDIO_LICENSE     EQUATE(25101)
ERROR_AUDIO_FILE        EQUATE(25102)
ERROR_AUDIO_INPUT       EQUATE(25103)
ERROR_AUDIO_OUTPUT      EQUATE(25104)
ERROR_AUDIO_MEMORY      EQUATE(25105)
ERROR_AUDIO_PARAMETER   EQUATE(25106)
ERROR_AUDIO_NOSUPPORT   EQUATE(25107)
ERROR_AUDIO_READONLY    EQUATE(25108)
ERROR_AUDIO_WRITEONLY   EQUATE(25109)
ERROR_AUDIO_STREAM      EQUATE(25110)
ERROR_AUDIO_HEADER      EQUATE(25111)
ERROR_AUDIO_FORMAT      EQUATE(25112)
ERROR_AUDIO_SAMPLE      EQUATE(25113)
ERROR_AUDIO_EOF         EQUATE(25114)
ERROR_AUDIO_DEVICE      EQUATE(25115)

!------------------------------------------------------------------------------
!
! This section contains the error codes for the SocketTools
! Domain Name Service (DNS
!
!------------------------------------------------------------------------------

DNS_ERROR               EQUATE(-1)
ERROR_DNS_NONE          EQUATE(0)
ERROR_DNS_NETWORK       EQUATE(25301)
ERROR_DNS_LICENSE       EQUATE(25302)
ERROR_DNS_NOHANDLES     EQUATE(25303)
ERROR_DNS_NOTOWNER      EQUATE(25304)
ERROR_DNS_HANDLE        EQUATE(25305)
ERROR_DNS_MEMORY        EQUATE(25306)
ERROR_DNS_PARAMETER     EQUATE(25307)
ERROR_DNS_SOCKET        EQUATE(25308)
ERROR_DNS_HOSTNAME      EQUATE(25309)
ERROR_DNS_HOSTADDRESS   EQUATE(25310)
ERROR_DNS_HOSTNOTFOUND  EQUATE(25311)
ERROR_DNS_HOSTINFO      EQUATE(25312)
ERROR_DNS_PROTOCOL      EQUATE(25313)
ERROR_DNS_RECORDTYPE    EQUATE(25314)
ERROR_DNS_RECORDNAME    EQUATE(25315)
ERROR_DNS_RECORDDATA    EQUATE(25316)
ERROR_DNS_SERVERINDEX   EQUATE(25317)
ERROR_DNS_SERVERADDR    EQUATE(25318)
ERROR_DNS_SERVERPORT    EQUATE(25319)
ERROR_DNS_SERVERFAIL    EQUATE(25320)
ERROR_DNS_NORESPONSE    EQUATE(25321)
ERROR_DNS_BADRESPONSE   EQUATE(25322)
ERROR_DNS_REFUSED       EQUATE(25323)
ERROR_DNS_TIMEOUT       EQUATE(25324)
ERROR_DNS_CANCELED      EQUATE(25325)

!------------------------------------------------------------------------------
!
! This section contains the error codes for the SocketTools
! Finger client library.
!
!------------------------------------------------------------------------------

FINGER_ERROR            EQUATE(-1)
ERROR_FINGER_NONE       EQUATE(0)
ERROR_FINGER_NETWORK    EQUATE(25501)
ERROR_FINGER_LICENSE    EQUATE(25502)
ERROR_FINGER_NOHANDLES  EQUATE(25503)
ERROR_FINGER_NOTOWNER   EQUATE(25504)
ERROR_FINGER_HANDLE     EQUATE(25505)
ERROR_FINGER_MEMORY     EQUATE(25506)
ERROR_FINGER_PARAMETER  EQUATE(25507)
ERROR_FINGER_HOSTNAME   EQUATE(25508)
ERROR_FINGER_SOCKET     EQUATE(25509)
ERROR_FINGER_CONNECT    EQUATE(25510)
ERROR_FINGER_TIMEOUT    EQUATE(25511)
ERROR_FINGER_READ       EQUATE(25512)
ERROR_FINGER_WRITE      EQUATE(25513)
ERROR_FINGER_RETRY      EQUATE(25514)
ERROR_FINGER_OVERFLOW   EQUATE(25515)
ERROR_FINGER_BLOCKED    EQUATE(25516)
ERROR_FINGER_CANCELED   EQUATE(25517)

!------------------------------------------------------------------------------
!
! This section contains the error codes for the SocketTools
! File Transfer Protocol (FTP
!
!------------------------------------------------------------------------------

FTP_ERROR               EQUATE(-1)
ERROR_FTP_NONE          EQUATE(0)
ERROR_FTP_NETWORK       EQUATE(25701)
ERROR_FTP_LICENSE       EQUATE(25702)
ERROR_FTP_NOHANDLES     EQUATE(25703)
ERROR_FTP_NOTOWNER      EQUATE(25704)
ERROR_FTP_HANDLE        EQUATE(25705)
ERROR_FTP_MEMORY        EQUATE(25706)
ERROR_FTP_PARAMETER     EQUATE(25707)
ERROR_FTP_HOSTNAME      EQUATE(25708)
ERROR_FTP_SOCKET        EQUATE(25709)
ERROR_FTP_ACCEPT        EQUATE(25710)
ERROR_FTP_CONNECT       EQUATE(25711)
ERROR_FTP_PEERNAME      EQUATE(25712)
ERROR_FTP_BIND          EQUATE(25713)
ERROR_FTP_LISTEN        EQUATE(25714)
ERROR_FTP_READ          EQUATE(25715)
ERROR_FTP_WRITE         EQUATE(25716)
ERROR_FTP_RETRY         EQUATE(25717)
ERROR_FTP_EOF           EQUATE(25718)
ERROR_FTP_OVERFLOW      EQUATE(25719)
ERROR_FTP_BLOCKED       EQUATE(25720)
ERROR_FTP_NOTBUSY       EQUATE(25721)
ERROR_FTP_TIMEOUT       EQUATE(25722)
ERROR_FTP_RESYNC        EQUATE(25723)
ERROR_FTP_CLOSED        EQUATE(25724)
ERROR_FTP_NOTREADY      EQUATE(25725)
ERROR_FTP_NOTAVAIL      EQUATE(25726)
ERROR_FTP_SERVICE       EQUATE(25727)
ERROR_FTP_DATAPORT      EQUATE(25728)
ERROR_FTP_DATAOPEN      EQUATE(25729)
ERROR_FTP_DATACLOSED    EQUATE(25730)
ERROR_FTP_CANCELED      EQUATE(25731)
ERROR_FTP_READONLY      EQUATE(25732)
ERROR_FTP_WRITEONLY     EQUATE(25733)
ERROR_FTP_FILETYPE      EQUATE(25734)
ERROR_FTP_PASSIVE       EQUATE(25735)
ERROR_FTP_ADDRESS       EQUATE(25736)
ERROR_FTP_CREATEFILE    EQUATE(25737)
ERROR_FTP_OPENFILE      EQUATE(25738)
ERROR_FTP_READFILE      EQUATE(25739)
ERROR_FTP_WRITEFILE     EQUATE(25740)
ERROR_FTP_LOGIN         EQUATE(25741)
ERROR_FTP_OPENFAIL      EQUATE(25742)
ERROR_FTP_FILEBUSY      EQUATE(25743)
ERROR_FTP_NOSPACE       EQUATE(25744)
ERROR_FTP_COMMAND       EQUATE(25745)
ERROR_FTP_ARGUMENT      EQUATE(25746)
ERROR_FTP_CMDIMP        EQUATE(25747)
ERROR_FTP_CMDSEQ        EQUATE(25748)
ERROR_FTP_NOLOGIN       EQUATE(25749)
ERROR_FTP_NOACCOUNT     EQUATE(25750)
ERROR_FTP_ACCESS        EQUATE(25751)
ERROR_FTP_FILEALLOC     EQUATE(25752)
ERROR_FTP_FILENAME      EQUATE(25753)
ERROR_FTP_UNEXPECTED    EQUATE(25754)
ERROR_FTP_RESTART       EQUATE(25755)
ERROR_FTP_SERVERTYPE    EQUATE(25756) !    Unknown server type
ERROR_FTP_NOFILELIST    EQUATE(25757) !    No file list returned by server
ERROR_FTP_PARSELIST     EQUATE(25758) !    Unable to parse file list
ERROR_FTP_ENDOFLIST     EQUATE(25759) !    End of file list
ERROR_FTP_NOTSUPPORTED  EQUATE(25760) !    Operation is not supported on this server
ERROR_FTP_PROXYTYPE     EQUATE(25761) !    Invalid proxy server type specified
ERROR_FTP_PROXYLOGIN    EQUATE(25762) !    Unable to login to proxy server
ERROR_FTP_NOFILES       EQUATE(25763) !    No files matching wildcard specification
ERROR_FTP_LOCALPATH     EQUATE(25764) !    Local directory path is invalid or can't be accessed
ERROR_FTP_PROXYRESYNC   EQUATE(25765) !    Unable to resynchronize with proxy server


!------------------------------------------------------------------------------
!
! This section contains the error codes for the SocketTools
! Gopher client library.
!
!------------------------------------------------------------------------------

GOPHER_ERROR            EQUATE(-1)
ERROR_GOPHER_NONE       EQUATE(0)
ERROR_GOPHER_NETWORK    EQUATE(25901)
ERROR_GOPHER_LICENSE    EQUATE(25902)
ERROR_GOPHER_NOHANDLES  EQUATE(25903)
ERROR_GOPHER_NOTOWNER   EQUATE(25904)
ERROR_GOPHER_HANDLE     EQUATE(25905)
ERROR_GOPHER_MEMORY     EQUATE(25906)
ERROR_GOPHER_PARAMETER  EQUATE(25907)
ERROR_GOPHER_HOSTNAME   EQUATE(25908)
ERROR_GOPHER_SOCKET     EQUATE(25909)
ERROR_GOPHER_CONNECT    EQUATE(25910)
ERROR_GOPHER_TIMEOUT    EQUATE(25911)
ERROR_GOPHER_SERVER     EQUATE(25912)
ERROR_GOPHER_READ       EQUATE(25913)
ERROR_GOPHER_WRITE      EQUATE(25914)
ERROR_GOPHER_RETRY      EQUATE(25915)
ERROR_GOPHER_OVERFLOW   EQUATE(25916)
ERROR_GOPHER_CLOSED     EQUATE(25917)
ERROR_GOPHER_BLOCKED    EQUATE(25918)
ERROR_GOPHER_CANCELED   EQUATE(25919)
ERROR_GOPHER_BADITEM    EQUATE(25920)

!------------------------------------------------------------------------------
!
! This section contains the error codes for the SocketTools
! Internet Control Message Protocol (ICMP
!
!------------------------------------------------------------------------------

ICMP_ERROR              EQUATE(-1)
ERROR_ICMP_NONE         EQUATE(0)
ERROR_ICMP_NETWORK      EQUATE(26101)
ERROR_ICMP_LICENSE      EQUATE(26102)
ERROR_ICMP_NOHANDLES    EQUATE(26103)
ERROR_ICMP_NOTOWNER     EQUATE(26104)
ERROR_ICMP_HANDLE       EQUATE(26105)
ERROR_ICMP_MEMORY       EQUATE(26106)
ERROR_ICMP_PARAMETER    EQUATE(26107)
ERROR_ICMP_ADDRESS      EQUATE(26108)
ERROR_ICMP_SOCKET       EQUATE(26109)
ERROR_ICMP_PACKETSIZE   EQUATE(26110)
ERROR_ICMP_PACKETDATA   EQUATE(26111)
ERROR_ICMP_READ         EQUATE(26112)
ERROR_ICMP_WRITE        EQUATE(26113)
ERROR_ICMP_RETRY        EQUATE(26114)
ERROR_ICMP_OVERFLOW     EQUATE(26115)
ERROR_ICMP_BLOCKED      EQUATE(26116)
ERROR_ICMP_CANCELED     EQUATE(26117)
ERROR_ICMP_TIMEOUT      EQUATE(26118)
ERROR_ICMP_NOASYNC      EQUATE(26119)
ERROR_ICMP_FAILED       EQUATE(26120)
ERROR_ICMP_UNREACHABLE  EQUATE(26121)
ERROR_ICMP_TTLEXPIRED   EQUATE(26122)

!------------------------------------------------------------------------------
!
! This section contains the error codes for the SocketTools
! Multipurpose Internet Mail Extensions (MIME
!
!------------------------------------------------------------------------------

MIME_ERROR              EQUATE(-1)
ERROR_MIME_NONE         EQUATE(0)
ERROR_MIME_LICENSE      EQUATE(26301)
ERROR_MIME_NOHANDLES    EQUATE(26302)
ERROR_MIME_NOTOWNER     EQUATE(26303)
ERROR_MIME_HANDLE       EQUATE(26304)
ERROR_MIME_MEMORY       EQUATE(26305)
ERROR_MIME_PARAMETER    EQUATE(26306)
ERROR_MIME_CREATE       EQUATE(26307)
ERROR_MIME_HEADER       EQUATE(26308)
ERROR_MIME_PART         EQUATE(26309)
ERROR_MIME_PARSE        EQUATE(26310)
ERROR_MIME_IMPORT       EQUATE(26311)
ERROR_MIME_EXPORT       EQUATE(26312)
ERROR_MIME_BOUNDARY     EQUATE(26313)
ERROR_MIME_ATTACH       EQUATE(26314)
ERROR_MIME_ENCODE       EQUATE(26315)
ERROR_MIME_DECODE       EQUATE(26316)
ERROR_MIME_BADFILE      EQUATE(26317)

!------------------------------------------------------------------------------
!
! This section contains the error codes for the SocketTools
! Network News Transfer Protocol (NNTP
!
!------------------------------------------------------------------------------

NNTP_ERROR              EQUATE(-1)
ERROR_NNTP_NONE         EQUATE(0)
ERROR_NNTP_NETWORK      EQUATE(26501)
ERROR_NNTP_LICENSE      EQUATE(26502)
ERROR_NNTP_NOHANDLES    EQUATE(26503)
ERROR_NNTP_NOTOWNER     EQUATE(26504)
ERROR_NNTP_HANDLE       EQUATE(26505)
ERROR_NNTP_MEMORY       EQUATE(26506)
ERROR_NNTP_PARAMETER    EQUATE(26507)
ERROR_NNTP_HOSTNAME     EQUATE(26508)
ERROR_NNTP_SOCKET       EQUATE(26509)
ERROR_NNTP_CONNECT      EQUATE(26510)
ERROR_NNTP_TIMEOUT      EQUATE(26511)
ERROR_NNTP_SERVER       EQUATE(26512)
ERROR_NNTP_READ         EQUATE(26513)
ERROR_NNTP_WRITE        EQUATE(26514)
ERROR_NNTP_RETRY        EQUATE(26515)
ERROR_NNTP_OVERFLOW     EQUATE(26516)
ERROR_NNTP_CLOSED       EQUATE(26517)
ERROR_NNTP_BLOCKED      EQUATE(26518)
ERROR_NNTP_CANCELED     EQUATE(26519)
ERROR_NNTP_POSTING      EQUATE(26520)
ERROR_NNTP_NOSERVICE    EQUATE(26521)
ERROR_NNTP_BADGROUP     EQUATE(26522)
ERROR_NNTP_NOGROUP      EQUATE(26523)
ERROR_NNTP_EMPTYGROUP   EQUATE(26524)
ERROR_NNTP_NOARTICLE    EQUATE(26525)
ERROR_NNTP_LASTARTICLE  EQUATE(26526)
ERROR_NNTP_FIRSTARTICLE EQUATE(26527)
ERROR_NNTP_BADARTICLE   EQUATE(26528)
ERROR_NNTP_NOTRANSFER   EQUATE(26529)
ERROR_NNTP_BADTRANSFER  EQUATE(26530)
ERROR_NNTP_REJECTED     EQUATE(26531)
ERROR_NNTP_NOPOSTING    EQUATE(26532)
ERROR_NNTP_BADPOST      EQUATE(26533)
ERROR_NNTP_COMMAND      EQUATE(26534)
ERROR_NNTP_RESTRICTED   EQUATE(26535)
ERROR_NNTP_FAULT        EQUATE(26536)
ERROR_NNTP_AUTHINFO     EQUATE(26537)
ERROR_NNTP_AUTHFAIL     EQUATE(26538)
ERROR_NNTP_AUTHTYPE     EQUATE(26539)
ERROR_NNTP_NOAUTH       EQUATE(26540)
ERROR_NNTP_UNEXPECTED   EQUATE(26541)

!------------------------------------------------------------------------------
!
! This section contains the error codes for the SocketTools
! Post Office Protocol v3 (POP3
!
!------------------------------------------------------------------------------

POP_ERROR               EQUATE(-1)
ERROR_POP_NONE          EQUATE(0)
ERROR_POP_NETWORK       EQUATE(26701)
ERROR_POP_LICENSE       EQUATE(26702)
ERROR_POP_NOHANDLES     EQUATE(25303)
ERROR_POP_NOTOWNER      EQUATE(25304)
ERROR_POP_HANDLE        EQUATE(26705)
ERROR_POP_MEMORY        EQUATE(26706)
ERROR_POP_PARAMETER     EQUATE(26707)
ERROR_POP_HOSTNAME      EQUATE(26708)
ERROR_POP_SOCKET        EQUATE(26709)
ERROR_POP_CONNECT       EQUATE(26710)
ERROR_POP_TIMEOUT       EQUATE(26711)
ERROR_POP_SERVER        EQUATE(26712)
ERROR_POP_READ          EQUATE(26713)
ERROR_POP_WRITE         EQUATE(26714)
ERROR_POP_RETRY         EQUATE(26715)
ERROR_POP_OVERFLOW      EQUATE(26716)
ERROR_POP_CLOSED        EQUATE(26717)
ERROR_POP_BLOCKED       EQUATE(26718)
ERROR_POP_CANCELED      EQUATE(26719)
ERROR_POP_LOGIN         EQUATE(26720)
ERROR_POP_NOLOGIN       EQUATE(26721)
ERROR_POP_MESGID        EQUATE(26722)

!------------------------------------------------------------------------------
!
! This section contains the error codes for the SocketTools
! Remote Command client library.
!
!------------------------------------------------------------------------------

RLIB_ERROR              EQUATE(-1)
ERROR_RLIB_NONE         EQUATE(0)
ERROR_RLIB_NETWORK      EQUATE(26901)
ERROR_RLIB_LICENSE      EQUATE(26902)
ERROR_RLIB_NOHANDLES    EQUATE(26903)
ERROR_RLIB_NOTOWNER     EQUATE(26904)
ERROR_RLIB_HANDLE       EQUATE(26905)
ERROR_RLIB_MEMORY       EQUATE(26906)
ERROR_RLIB_PARAMETER    EQUATE(26907)
ERROR_RLIB_HOSTNAME     EQUATE(26908)
ERROR_RLIB_SOCKET       EQUATE(26909)
ERROR_RLIB_CONNECT      EQUATE(26910)
ERROR_RLIB_ACCEPT       EQUATE(26911)
ERROR_RLIB_TIMEOUT      EQUATE(26912)
ERROR_RLIB_WRITE        EQUATE(26913)
ERROR_RLIB_READ         EQUATE(26914)
ERROR_RLIB_RETRY        EQUATE(26915)
ERROR_RLIB_OVERFLOW     EQUATE(26916)
ERROR_RLIB_CLOSED       EQUATE(26917)
ERROR_RLIB_BLOCKED      EQUATE(26918)
ERROR_RLIB_CANCELED     EQUATE(26919)
ERROR_RLIB_EXECUTE      EQUATE(26920)

!------------------------------------------------------------------------------
!
! This section contains the error codes for the SocketTools
! Simple Mail Transfer Protocol (SMTP)
!
!------------------------------------------------------------------------------

SMTP_ERROR              EQUATE(-1)
ERROR_SMTP_NONE         EQUATE(0)
ERROR_SMTP_NETWORK      EQUATE(27101)
ERROR_SMTP_LICENSE      EQUATE(27102)
ERROR_SMTP_NOHANDLES    EQUATE(27103)
ERROR_SMTP_NOTOWNER     EQUATE(27104)
ERROR_SMTP_HANDLE       EQUATE(27105)
ERROR_SMTP_MEMORY       EQUATE(27106)
ERROR_SMTP_PARAMETER    EQUATE(27107)
ERROR_SMTP_HOSTNAME     EQUATE(27108)
ERROR_SMTP_SOCKET       EQUATE(27109)
ERROR_SMTP_CONNECT      EQUATE(27110)
ERROR_SMTP_TIMEOUT      EQUATE(27111)
ERROR_SMTP_SERVER       EQUATE(27112)
ERROR_SMTP_READ         EQUATE(27113)
ERROR_SMTP_WRITE        EQUATE(27114)
ERROR_SMTP_RETRY        EQUATE(27115)
ERROR_SMTP_OVERFLOW     EQUATE(27116)
ERROR_SMTP_CLOSED       EQUATE(27117)
ERROR_SMTP_BLOCKED      EQUATE(27118)
ERROR_SMTP_CANCELED     EQUATE(27119)
ERROR_SMTP_ADDRESS      EQUATE(27120)
ERROR_SMTP_RECPT        EQUATE(27121)
ERROR_SMTP_DATA         EQUATE(27122)
ERROR_SMTP_NODATA       EQUATE(27123)

!------------------------------------------------------------------------------
!
! This section contains the error codes for the SocketTools
! Telnet client library.
!
!------------------------------------------------------------------------------

TELNET_ERROR            EQUATE(-1)
ERROR_TELNET_NONE       EQUATE(0)
ERROR_TELNET_NETWORK    EQUATE(27501)
ERROR_TELNET_LICENSE    EQUATE(27502)
ERROR_TELNET_NOHANDLES  EQUATE(27503)
ERROR_TELNET_NOTOWNER   EQUATE(27504)
ERROR_TELNET_HANDLE     EQUATE(27505)
ERROR_TELNET_MEMORY     EQUATE(27506)
ERROR_TELNET_PARAMETER  EQUATE(27507)
ERROR_TELNET_HOSTNAME   EQUATE(27508)
ERROR_TELNET_SOCKET     EQUATE(27509)
ERROR_TELNET_CONNECT    EQUATE(27510)
ERROR_TELNET_TIMEOUT    EQUATE(27511)
ERROR_TELNET_SERVER     EQUATE(27512)
ERROR_TELNET_READ       EQUATE(27513)
ERROR_TELNET_WRITE      EQUATE(27514)
ERROR_TELNET_RETRY      EQUATE(27515)
ERROR_TELNET_OVERFLOW   EQUATE(27516)
ERROR_TELNET_CLOSED     EQUATE(27517)
ERROR_TELNET_BLOCKED    EQUATE(27518)
ERROR_TELNET_CANCELED   EQUATE(27519)
ERROR_TELNET_RESYNC     EQUATE(27520)
ERROR_TELNET_OPTION     EQUATE(27521)

!------------------------------------------------------------------------------
!
! This section contains the error codes for the SocketTools
! Whois client library.
!
!------------------------------------------------------------------------------

WHOIS_ERROR             EQUATE(-1)
ERROR_WHOIS_NONE        EQUATE(0)
ERROR_WHOIS_NETWORK     EQUATE(27901)
ERROR_WHOIS_LICENSE     EQUATE(27902)
ERROR_WHOIS_NOHANDLES   EQUATE(27903)
ERROR_WHOIS_NOTOWNER    EQUATE(27904)
ERROR_WHOIS_HANDLE      EQUATE(27905)
ERROR_WHOIS_MEMORY      EQUATE(27906)
ERROR_WHOIS_PARAMETER   EQUATE(27907)
ERROR_WHOIS_HOSTNAME    EQUATE(27908)
ERROR_WHOIS_SOCKET      EQUATE(27909)
ERROR_WHOIS_CONNECT     EQUATE(27910)
ERROR_WHOIS_TIMEOUT     EQUATE(27911)
ERROR_WHOIS_READ        EQUATE(27912)
ERROR_WHOIS_WRITE       EQUATE(27913)
ERROR_WHOIS_RETRY       EQUATE(27914)
ERROR_WHOIS_OVERFLOW    EQUATE(27915)
ERROR_WHOIS_CLOSED      EQUATE(27916)
ERROR_WHOIS_BLOCKED     EQUATE(27917)
ERROR_WHOIS_CANCELED    EQUATE(27918)
ERROR_WHOIS_SEARCH      EQUATE(27919)

!------------------------------------------------------------------------------
!
! This section contains the error codes for the SocketTools
! HyperText Transmission Protocol (HTTP) library.
!
!------------------------------------------------------------------------------

HTTP_ERROR              EQUATE(-1)
ERROR_HTTP_NONE         EQUATE(0)
ERROR_HTTP_NETWORK      EQUATE(26001)
ERROR_HTTP_LICENSE      EQUATE(26002)
ERROR_HTTP_NOHANDLES    EQUATE(26003)
ERROR_HTTP_NOTOWNER     EQUATE(26004)
ERROR_HTTP_HANDLE       EQUATE(26005)
ERROR_HTTP_MEMORY       EQUATE(26006)
ERROR_HTTP_PARAMETER    EQUATE(26007)
ERROR_HTTP_HOSTNAME     EQUATE(26008)
ERROR_HTTP_SOCKET       EQUATE(26009)
ERROR_HTTP_CONNECT      EQUATE(26010)
ERROR_HTTP_TIMEOUT      EQUATE(26011)
ERROR_HTTP_READ         EQUATE(26012)
ERROR_HTTP_WRITE        EQUATE(26013)
ERROR_HTTP_RETRY        EQUATE(26014)
ERROR_HTTP_OVERFLOW     EQUATE(26015)
ERROR_HTTP_CLOSED       EQUATE(26016)
ERROR_HTTP_BLOCKED      EQUATE(26017)
ERROR_HTTP_CANCELED     EQUATE(26018)
ERROR_HTTP_PROTOCOL     EQUATE(26019)
ERROR_HTTP_COMMAND      EQUATE(26020)
ERROR_HTTP_QUERY        EQUATE(26021)
ERROR_HTTP_TRANSACTION  EQUATE(26022)
ERROR_HTTP_RESPONSE     EQUATE(26023)
ERROR_HTTP_VERSION      EQUATE(26024)
ERROR_HTTP_FILENAME     EQUATE(26025)
ERROR_HTTP_FILETYPE     EQUATE(26026)
ERROR_HTTP_FILELENGTH   EQUATE(26027)
ERROR_HTTP_CLIPBOARD    EQUATE(26028)
ERROR_HTTP_AUTHTYPE     EQUATE(26029)
ERROR_HTTP_USERNAME     EQUATE(26030)
ERROR_HTTP_PASSWORD     EQUATE(26031)
ERROR_HTTP_MOVED        EQUATE(26032)
ERROR_HTTP_NOTMODIFIED  EQUATE(26033)
ERROR_HTTP_REQUEST      EQUATE(26034)
ERROR_HTTP_UNAUTHORIZED EQUATE(26035)
ERROR_HTTP_PAYMENT      EQUATE(26036)
ERROR_HTTP_FORBIDDEN    EQUATE(26037)
ERROR_HTTP_NOTFOUND     EQUATE(26038)
ERROR_HTTP_METHOD       EQUATE(26039)
ERROR_HTTP_NOTACCEPTED  EQUATE(26040)
ERROR_HTTP_PROXYAUTH    EQUATE(26041)
ERROR_HTTP_REMOVED      EQUATE(26042)
ERROR_HTTP_SERVER       EQUATE(26043)
ERROR_HTTP_GATEWAY      EQUATE(26044)
ERROR_HTTP_UNAVAILABLE  EQUATE(26045)
ERROR_HTTP_UNEXPECTED   EQUATE(26046)
